Package com.xebialabs.deployit.plugin.api.flow

## Enum StepExitCode

- java.lang.Object
- - java.lang.Enum<StepExitCode>
  - - com.xebialabs.deployit.plugin.api.flow.StepExitCode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<StepExitCode>`

      public enum StepExitCode
      extends java.lang.Enum<StepExitCode>

  Return codes that should be returned from a step during execution.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FAIL` | The step failed to execute, and should be skipped or retried manually.
    `PAUSE` | The step requested the execution to be paused.
    `RETRY` | Retries the step in a configurable amount of seconds
    `SUCCESS` | Step was executed successfully.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StepExitCode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static StepExitCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final StepExitCode SUCCESS

      Step was executed successfully.

    - #### FAIL

          public static final StepExitCode FAIL

      The step failed to execute, and should be skipped or retried manually.

    - #### PAUSE

          public static final StepExitCode PAUSE

      The step requested the execution to be paused.

    - #### RETRY

          public static final StepExitCode RETRY

      Retries the step in a configurable amount of seconds

  - ### Method Detail

    - #### values

          public static StepExitCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StepExitCode c : StepExitCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StepExitCode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null